## gnocchi 1.3.3+2016.01.27.git.e1339d77a9

=== requirements.txt ===
numpy
oslo.config>=2.6.0
oslo.log>=1.0.0
oslo.policy>=0.3.0
oslo.serialization>=1.4.0
oslo.utils>=1.6.0
oslo.middleware
pandas>=0.17.0
pecan>=0.9
pytimeparse>=1.1.5
futures
requests
six
stevedore
voluptuous
werkzeug
trollius
retrying
WebOb>=1.4.1
PasteDeploy
prettytable

## gnocchi 1.3.0

=== debian/changelog ===
gnocchi (1.3.0-2) unstable; urgency=medium

  * Adds missing config file: api-paste.ini.
  * Fixed auth_protocol to be http by default.
  * Added debconf translations imported from Glance.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Nov 2015 13:18:12 +0000

gnocchi (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #799374)

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Mar 2015 10:32:47 +0100

=== debian/control ===
Source: gnocchi
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 37~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.7.6),
                     influxdb,
                     influxdb-dev,
                     libpq-dev,
                     postgresql,
                     postgresql-server-dev-all,
                     python-ceilometer (>= 2015.1~b3),
                     python-concurrent.futures (>= 2.1.6),
                     python-coverage (>= 3.6),
                     python-fixtures,
                     python-future,
                     python-gabbi (>= 1),
                     python-jinja2,
                     python-jsonpatch (>= 1.9),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.3.0),
                     python-mock,
                     python-msgpack,
                     python-mysqldb,
                     python-numpy,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.db (>= 1.8.0),
                     python-oslo.log (>= 1.0.0),
                     python-oslo.policy (>= 0.3.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.6.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest,
                     python-pandas (>= 0.17),
                     python-pastedeploy,
                     python-pecan (>= 0.9),
                     python-psycopg2,
                     python-pymysql,
                     python-pytimeparse (>= 1.1.5),
                     python-requests,
                     python-retrying,
                     python-six,
                     python-sphinx-bootstrap-theme,
                     python-sphinxcontrib.httpdomain,
                     python-sqlalchemy,
                     python-sqlalchemy-utils,
                     python-stevedore,
                     python-swiftclient,
                     python-sysv-ipc,
                     python-tempest-lib (>= 0.2.0),
                     python-testscenarios,
                     python-testtools (>= 0.9.38),
                     python-tooz (>= 0.13.1),
                     python-trollius,
                     python-tz,
                     python-voluptuous,
                     python-webob (>= 1.4.1),
                     python-webtest (>= 2.0.16),
                     python-werkzeug,
                     python-yaml,
                     subunit (>= 0.0.18),
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-gnocchi.git
Vcs-Git: git://anonscm.debian.org/openstack/python-gnocchi.git
Homepage: https://github.com/openstack/gnocchi

Package: python-gnocchi
Architecture: all
Depends: alembic (>= 0.7.6),
         python-concurrent.futures (>= 2.1.6),
         python-future,
         python-jinja2,
         python-jsonpatch (>= 1.9),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.3.0),
         python-msgpack,
         python-numpy,
         python-oslo.config (>= 1:2.3.0),
         python-oslo.db (>= 1.8.0),
         python-oslo.log (>= 1.0.0),
         python-oslo.policy (>= 0.3.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.6.0),
         python-oslosphinx (>= 2.2.0.0),
         python-pandas (>= 0.17),
         python-pastedeploy,
         python-pecan (>= 0.9),
         python-psycopg2,
         python-pymysql,
         python-pytimeparse (>= 1.1.5),
         python-requests,
         python-retrying,
         python-six,
         python-sqlalchemy,
         python-sqlalchemy-utils,
         python-stevedore,
         python-swiftclient,
         python-tooz (>= 0.13.1),
         python-trollius,
         python-tz,
         python-voluptuous,
         python-webob (>= 1.4.1),
         python-werkzeug,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-gnocchi-doc,
Description: Metric as a Service - Python 2.x
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 2.x module.

Package: gnocchi-common
Architecture: all
Depends: adduser,
         debconf,
         python-gnocchi (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Metric as a Service - common files
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the common files.

Package: gnocchi-api
Architecture: all
Depends: adduser,
         gnocchi-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: Metric as a Service - API daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the API server.

Package: gnocchi-metricd
Architecture: all
Depends: gnocchi-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Metric as a Service - metric daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the metric daemon.

#Package: gnocchi-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends},
#         ${sphinxdoc:Depends},
#Description: Metric as a Service - doc
# Gnocchi is a service for managing a set of resources and storing metrics about
# them, in a scalable and resilient way. Its functionalities are exposed over an
# HTTP REST API.
# .
# This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/gnocchi.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)
UNIT_TEST_BLACKLIST = test_carbonara.CarbonaraCmd.*

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-gnocchi; \
	done
	mkdir -p $(CURDIR)/debian/python-gnocchi/usr/lib/python2.7/dist-packages/gnocchi/indexer
	cp -auxf gnocchi/indexer/alembic $(CURDIR)/debian/python-gnocchi/usr/lib/python2.7/dist-packages/gnocchi/indexer
#	set -e ; for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-gnocchi; \
#	done
	rm -rf $(CURDIR)/debian/python*-gnocchi/usr/lib/python*/dist-packages/*.pth

	mkdir -p $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common
	oslo-config-generator --output-file $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf \
		--wrap-width 140 \
		--namespace gnocchi \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	sed -i 's|^[ \t#]*url[ \t#]*=.*|url = sqlite:////var/lib/gnocchi/gnocchidb|' $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf
	sed -i 's|^[# \t]*auth_protocol[\t #]*=.*|auth_protocol = http|' $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.config

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Starting PGSQL" ; \
		BINDIR=`pg_config --bindir` ; \
		PG_MYTMPDIR=`mktemp -d` ; \
		chown postgres:postgres $$PG_MYTMPDIR || true ; \
		export PGHOST=$$PG_MYTMPDIR ; \
		chmod +x debian/start_pg.sh ; \
		debian/start_pg.sh $$PG_MYTMPDIR ; \
		export GNOCCHI_TEST_INDEXER_URL="postgresql:///template1?host=$$PG_MYTMPDIR&port=9823" ; \
		export GNOCCHI_TEST_STORAGE_DRIVER=file ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gnocchi\.tests\.(?!.*('"$(UNIT_TEST_BLACKLIST)"'))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
		echo "===> Stopping PGSQL" ; \
		$$BINDIR/pg_ctl stop -D $$PG_MYTMPDIR ; \
	done
endif

override_dh_sphinxdoc:
#		echo "===> Starting PGSQL" ; \
#		BINDIR=`pg_config --bindir` ; \
#		PG_MYTMPDIR=`mktemp -d` ; \
#		chown postgres:postgres $$PG_MYTMPDIR || true ; \
#		export PGHOST=$$PG_MYTMPDIR ; \
#		chmod +x debian/start_pg.sh ; \
#		debian/start_pg.sh $$PG_MYTMPDIR ; \
#		export GNOCCHI_TEST_INDEXER_URL="postgresql:///template1?host=$$PG_MYTMPDIR&port=9823" ; \
#	PYTHONPATH=. sphinx-build -b html doc/source debian/python-gnocchi-doc/usr/share/doc/python-gnocchi-doc/html ; \
#	dh_sphinxdoc -O--buildsystem=python_distutils ; \
#		$$BINDIR/pg_ctl stop -D $$PG_MYTMPDIR
	echo "Do nothing"

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build debian/gnocchi-common.postinst debian/gnocchi-common.config debian/gnocchi-api.config debian/gnocchi-api.postinst

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

## gnocchi 1.3.3+2016.01.27.git.e1339d77a9

=== debian/changelog ===
gnocchi (1.3.3+2016.01.27.git.e1339d77a9-1) unstable; urgency=medium

  * New upstream release based on commit e1339d77a9.
  * Removed influxdb and influxdb-dev from build-depends-indep.
  * Do not build-depends on python-ceilometer.
  * Fixed python-future version to be >= 0.15.
  * Fixed (build-)depends for this release.
  * Pushes app.wsgi to /usr/share/gnocchi-common.
  * Fixed debian/copyright ordering.
  * Follow upstream rename of GNOCCHI_TEST_INDEXER_URL to GNOCCHI_INDEXER_URL.
  * Fixed namespaces when generating config file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jan 2016 04:13:02 +0000

gnocchi (1.3.0-4) unstable; urgency=medium

  * French debconf templates translation update (Closes: #806506).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 10:21:02 +0100

gnocchi (1.3.0-3) unstable; urgency=medium

  * Added missing dbconfig-common dependency (Closes: #806538).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 08:22:21 +0000

=== debian/control ===
--- 
+++ 
@@ -11,28 +11,27 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.7.6),
-                     influxdb,
-                     influxdb-dev,
                      libpq-dev,
                      postgresql,
                      postgresql-server-dev-all,
-                     python-ceilometer (>= 2015.1~b3),
                      python-concurrent.futures (>= 2.1.6),
                      python-coverage (>= 3.6),
+                     python-doc8,
                      python-fixtures,
-                     python-future,
+                     python-future (>= 0.15),
                      python-gabbi (>= 1),
                      python-jinja2,
                      python-jsonpatch (>= 1.9),
                      python-keystoneclient (>= 1:1.6.0),
-                     python-keystonemiddleware (>= 2.3.0),
+                     python-keystonemiddleware (>= 4.0.0),
                      python-mock,
                      python-msgpack,
                      python-mysqldb,
                      python-numpy,
-                     python-oslo.config (>= 1:2.3.0),
+                     python-oslo.config (>= 1:2.6.0),
                      python-oslo.db (>= 1.8.0),
                      python-oslo.log (>= 1.0.0),
+                     python-oslo.middleware,
                      python-oslo.policy (>= 0.3.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 1.6.0),
@@ -41,6 +40,7 @@
                      python-pandas (>= 0.17),
                      python-pastedeploy,
                      python-pecan (>= 0.9),
+                     python-prettytable,
                      python-psycopg2,
                      python-pymysql,
                      python-pytimeparse (>= 1.1.5),
@@ -52,14 +52,13 @@
                      python-sqlalchemy,
                      python-sqlalchemy-utils,
                      python-stevedore,
-                     python-swiftclient,
+                     python-swiftclient (>= 2.5.0),
                      python-sysv-ipc,
                      python-tempest-lib (>= 0.2.0),
                      python-testscenarios,
                      python-testtools (>= 0.9.38),
                      python-tooz (>= 0.13.1),
                      python-trollius,
-                     python-tz,
                      python-voluptuous,
                      python-webob (>= 1.4.1),
                      python-webtest (>= 2.0.16),
@@ -76,16 +75,17 @@
 Architecture: all
 Depends: alembic (>= 0.7.6),
          python-concurrent.futures (>= 2.1.6),
-         python-future,
+         python-future (>= 0.15),
          python-jinja2,
          python-jsonpatch (>= 1.9),
          python-keystoneclient (>= 1:1.6.0),
-         python-keystonemiddleware (>= 2.3.0),
+         python-keystonemiddleware (>= 4.0.0),
          python-msgpack,
          python-numpy,
-         python-oslo.config (>= 1:2.3.0),
+         python-oslo.config (>= 1:2.6.0),
          python-oslo.db (>= 1.8.0),
          python-oslo.log (>= 1.0.0),
+         python-oslo.middleware,
          python-oslo.policy (>= 0.3.0),
          python-oslo.serialization (>= 1.4.0),
          python-oslo.utils (>= 1.6.0),
@@ -93,6 +93,7 @@
          python-pandas (>= 0.17),
          python-pastedeploy,
          python-pecan (>= 0.9),
+         python-prettytable,
          python-psycopg2,
          python-pymysql,
          python-pytimeparse (>= 1.1.5),
@@ -102,10 +103,9 @@
          python-sqlalchemy,
          python-sqlalchemy-utils,
          python-stevedore,
-         python-swiftclient,
+         python-swiftclient (>= 2.5.0),
          python-tooz (>= 0.13.1),
          python-trollius,
-         python-tz,
          python-voluptuous,
          python-webob (>= 1.4.1),
          python-werkzeug,
@@ -123,6 +123,7 @@
 Package: gnocchi-common
 Architecture: all
 Depends: adduser,
+         dbconfig-common,
          debconf,
          python-gnocchi (= ${binary:Version}),
          ${misc:Depends},

## gnocchi 2.0.2

=== requirements.txt ===
--- 
+++ 
@@ -14,8 +14,9 @@
 stevedore
 voluptuous
 werkzeug
-trollius
+trollius; python_version < '3.4'
 retrying
 WebOb>=1.4.1
+Paste
 PasteDeploy
 prettytable

=== debian/changelog ===
gnocchi (2.0.2-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Fixed upstream URL

  [ Thomas Goirand ]
  * Updated Danish translation of the debconf templates (Closes: #830650).
  * Now using gnocchi-upgrade, and not gnocchi-dbsync (Closes: #832792).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Aug 2016 12:21:06 +0000

gnocchi (2.0.2-6) unstable; urgency=medium

  * Fixed section to be net instead of python (Closes: #825364).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jun 2016 07:16:10 +0000

gnocchi (2.0.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Added Japanese debconf templates translation update (Closes: #820769).
  * Updated Dutch debconf templates (Closes: #823439).
  * Updated Brazilian Portuguese debconf templates (Closes: #824292).

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Apr 2016 18:54:09 +0200

gnocchi (2.0.2-4) unstable; urgency=medium

  * Uploading to unstable.
  * Updated ja.po debconf translation (closes: #819135).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:02:48 +0200

gnocchi (2.0.2-3) experimental; urgency=medium

  * Added missing (build-)depends: python-lz4.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:29:28 +0000

gnocchi (2.0.2-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:10:49 +0000

gnocchi (2.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rename again GNOCCHI_INDEXER_URL env var (upstream constantly changes it).
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 14:05:32 +0100

gnocchi (1.3.4-1) experimental; urgency=medium

  * New upstream release.
  * Clean /var/{lib,log}/gnocchi on purge (Closes: #810700).
  * Added nl.po debconf translation (Closes: #812356).
  * Fixed running tests with pgsql (ie: GNOCCHI_TEST_INDEXER_URL env var).
  * HTTPS VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Feb 2016 09:15:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: gnocchi
-Section: python
+Section: net
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 40~),
                python-all,
                python-pbr,
                python-setuptools,
@@ -20,10 +20,10 @@
                      python-fixtures,
                      python-future (>= 0.15),
                      python-gabbi (>= 1),
-                     python-jinja2,
                      python-jsonpatch (>= 1.9),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 4.0.0),
+                     python-lz4,
                      python-mock,
                      python-msgpack,
                      python-mysqldb,
@@ -38,6 +38,7 @@
                      python-oslosphinx (>= 2.2.0.0),
                      python-oslotest,
                      python-pandas (>= 0.17),
+                     python-paste,
                      python-pastedeploy,
                      python-pecan (>= 0.9),
                      python-prettytable,
@@ -57,7 +58,7 @@
                      python-tempest-lib (>= 0.2.0),
                      python-testscenarios,
                      python-testtools (>= 0.9.38),
-                     python-tooz (>= 0.13.1),
+                     python-tooz (>= 1.34),
                      python-trollius,
                      python-voluptuous,
                      python-webob (>= 1.4.1),
@@ -66,20 +67,21 @@
                      python-yaml,
                      subunit (>= 0.0.18),
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-gnocchi.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-gnocchi.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-gnocchi.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-gnocchi.git
 Homepage: https://github.com/openstack/gnocchi
 
 Package: python-gnocchi
+Section: python
 Architecture: all
 Depends: alembic (>= 0.7.6),
          python-concurrent.futures (>= 2.1.6),
          python-future (>= 0.15),
-         python-jinja2,
          python-jsonpatch (>= 1.9),
          python-keystoneclient (>= 1:1.6.0),
          python-keystonemiddleware (>= 4.0.0),
+         python-lz4,
          python-msgpack,
          python-numpy,
          python-oslo.config (>= 1:2.6.0),
@@ -91,6 +93,7 @@
          python-oslo.utils (>= 1.6.0),
          python-oslosphinx (>= 2.2.0.0),
          python-pandas (>= 0.17),
+         python-paste,
          python-pastedeploy,
          python-pecan (>= 0.9),
          python-prettytable,
@@ -104,7 +107,7 @@
          python-sqlalchemy-utils,
          python-stevedore,
          python-swiftclient (>= 2.5.0),
-         python-tooz (>= 0.13.1),
+         python-tooz (>= 1.34),
          python-trollius,
          python-voluptuous,
          python-webob (>= 1.4.1),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PYTHONS:=$(shell pyversions -vr)
 #PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/gnocchi.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -24,13 +23,16 @@
 #			--root $(CURDIR)/debian/python3-gnocchi; \
 #	done
 	rm -rf $(CURDIR)/debian/python*-gnocchi/usr/lib/python*/dist-packages/*.pth
+	rm -rf $(CURDIR)/debian/python*-gnocchi/usr/etc
 
 	mkdir -p $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common
-	oslo-config-generator --output-file $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf \
+	PYTHONPATH=$(CURDIR)/debian/python-gnocchi/usr/lib/python2.7/dist-packages oslo-config-generator \
+		--output-file $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf \
 		--wrap-width 140 \
 		--namespace gnocchi \
 		--namespace oslo.db \
 		--namespace oslo.log \
+		--namespace oslo.middleware \
 		--namespace oslo.policy \
 		--namespace keystonemiddleware.auth_token
 	sed -i 's|^[ \t#]*url[ \t#]*=.*|url = sqlite:////var/lib/gnocchi/gnocchidb|' $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf
@@ -53,7 +55,7 @@
 		export PGHOST=$$PG_MYTMPDIR ; \
 		chmod +x debian/start_pg.sh ; \
 		debian/start_pg.sh $$PG_MYTMPDIR ; \
-		export GNOCCHI_TEST_INDEXER_URL="postgresql:///template1?host=$$PG_MYTMPDIR&port=9823" ; \
+		export GNOCCHI_INDEXER_URL="postgresql:///template1?host=$$PG_MYTMPDIR&port=9823" ; \
 		export GNOCCHI_TEST_STORAGE_DRIVER=file ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## gnocchi 3.0.0

=== requirements.txt ===
pbr
numpy
iso8601
oslo.config>=2.6.0
oslo.log>=1.0.0
oslo.policy>=0.3.0
oslo.serialization>=1.4.0
oslo.utils>=3.3.0
oslo.middleware>=3.11.0
pandas>=0.17.0
pecan>=0.9
pytimeparse>=1.1.5
futures
jsonpatch
cotyledon>=1.2.2
requests
six
stevedore
voluptuous
werkzeug
trollius; python_version < '3.4'
retrying
WebOb>=1.4.1
Paste
PasteDeploy

=== debian/changelog ===
gnocchi (3.0.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 24 Nov 2016 16:17:14 +0000

gnocchi (3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Debconf translation:
    - it (Closes: #839198).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:14:26 +0200

gnocchi (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2016 16:38:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr,
                python-setuptools,
@@ -15,11 +15,13 @@
                      postgresql,
                      postgresql-server-dev-all,
                      python-concurrent.futures (>= 2.1.6),
+                     python-cotyledon (>= 1.2.2),
                      python-coverage (>= 3.6),
                      python-doc8,
                      python-fixtures,
                      python-future (>= 0.15),
-                     python-gabbi (>= 1),
+                     python-gabbi (>= 1.21),
+                     python-iso8601,
                      python-jsonpatch (>= 1.9),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 4.0.0),
@@ -28,13 +30,14 @@
                      python-msgpack,
                      python-mysqldb,
                      python-numpy,
+                     python-os-testr,
                      python-oslo.config (>= 1:2.6.0),
-                     python-oslo.db (>= 1.8.0),
+                     python-oslo.db (>= 4.8.0),
                      python-oslo.log (>= 1.0.0),
-                     python-oslo.middleware,
+                     python-oslo.middleware (>= 3.11.0),
                      python-oslo.policy (>= 0.3.0),
                      python-oslo.serialization (>= 1.4.0),
-                     python-oslo.utils (>= 1.6.0),
+                     python-oslo.utils (>= 3.3.0),
                      python-oslosphinx (>= 2.2.0.0),
                      python-oslotest,
                      python-pandas (>= 0.17),
@@ -53,12 +56,11 @@
                      python-sqlalchemy,
                      python-sqlalchemy-utils,
                      python-stevedore,
-                     python-swiftclient (>= 2.5.0),
+                     python-swiftclient (>= 3.1.0),
                      python-sysv-ipc,
-                     python-tempest-lib (>= 0.2.0),
                      python-testscenarios,
                      python-testtools (>= 0.9.38),
-                     python-tooz (>= 1.34),
+                     python-tooz (>= 1.38),
                      python-trollius,
                      python-voluptuous,
                      python-webob (>= 1.4.1),
@@ -68,8 +70,8 @@
                      subunit (>= 0.0.18),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-gnocchi.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-gnocchi.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-gnocchi
+Vcs-Git: https://git.openstack.org/openstack/deb-gnocchi -b debian/newton
 Homepage: https://github.com/openstack/gnocchi
 
 Package: python-gnocchi
@@ -77,7 +79,9 @@
 Architecture: all
 Depends: alembic (>= 0.7.6),
          python-concurrent.futures (>= 2.1.6),
+         python-cotyledon (>= 1.2.2),
          python-future (>= 0.15),
+         python-iso8601,
          python-jsonpatch (>= 1.9),
          python-keystoneclient (>= 1:1.6.0),
          python-keystonemiddleware (>= 4.0.0),
@@ -85,16 +89,17 @@
          python-msgpack,
          python-numpy,
          python-oslo.config (>= 1:2.6.0),
-         python-oslo.db (>= 1.8.0),
+         python-oslo.db (>= 4.8.0),
          python-oslo.log (>= 1.0.0),
-         python-oslo.middleware,
+         python-oslo.middleware (>= 3.11.0),
          python-oslo.policy (>= 0.3.0),
          python-oslo.serialization (>= 1.4.0),
-         python-oslo.utils (>= 1.6.0),
+         python-oslo.utils (>= 3.3.0),
          python-oslosphinx (>= 2.2.0.0),
          python-pandas (>= 0.17),
          python-paste,
          python-pastedeploy,
+         python-pbr,
          python-pecan (>= 0.9),
          python-prettytable,
          python-psycopg2,
@@ -106,8 +111,8 @@
          python-sqlalchemy,
          python-sqlalchemy-utils,
          python-stevedore,
-         python-swiftclient (>= 2.5.0),
-         python-tooz (>= 1.34),
+         python-swiftclient (>= 3.1.0),
+         python-tooz (>= 1.38),
          python-trollius,
          python-voluptuous,
          python-webob (>= 1.4.1),
@@ -143,6 +148,7 @@
 Depends: adduser,
          gnocchi-common (= ${binary:Version}),
          python-openstackclient,
+         lsb-base,
          q-text-as-data,
          ${misc:Depends},
          ${python:Depends},
@@ -156,6 +162,7 @@
 Package: gnocchi-metricd
 Architecture: all
 Depends: gnocchi-common (= ${binary:Version}),
+         lsb-base,
          ${misc:Depends},
          ${python:Depends},
 Description: Metric as a Service - metric daemon

## gnocchi 3.0.3

=== debian/changelog ===
gnocchi (3.0.3-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * debian/control: Add python-testresources.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Jan 2017 08:26:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnocchi
 Section: net
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -33,7 +34,7 @@
                      python-os-testr,
                      python-oslo.config (>= 1:2.6.0),
                      python-oslo.db (>= 4.8.0),
-                     python-oslo.log (>= 1.0.0),
+                     python-oslo.log (>= 2.3.0),
                      python-oslo.middleware (>= 3.11.0),
                      python-oslo.policy (>= 0.3.0),
                      python-oslo.serialization (>= 1.4.0),
@@ -60,6 +61,7 @@
                      python-sysv-ipc,
                      python-testscenarios,
                      python-testtools (>= 0.9.38),
+                     python-testresources,
                      python-tooz (>= 1.38),
                      python-trollius,
                      python-voluptuous,
@@ -90,7 +92,7 @@
          python-numpy,
          python-oslo.config (>= 1:2.6.0),
          python-oslo.db (>= 4.8.0),
-         python-oslo.log (>= 1.0.0),
+         python-oslo.log (>= 2.3.0),
          python-oslo.middleware (>= 3.11.0),
          python-oslo.policy (>= 0.3.0),
          python-oslo.serialization (>= 1.4.0),
@@ -148,7 +150,6 @@
 Depends: adduser,
          gnocchi-common (= ${binary:Version}),
          python-openstackclient,
-         lsb-base,
          q-text-as-data,
          ${misc:Depends},
          ${python:Depends},
@@ -162,7 +163,6 @@
 Package: gnocchi-metricd
 Architecture: all
 Depends: gnocchi-common (= ${binary:Version}),
-         lsb-base,
          ${misc:Depends},
          ${python:Depends},
 Description: Metric as a Service - metric daemon

## gnocchi 3.0.4

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 numpy
 iso8601
 oslo.config>=2.6.0
-oslo.log>=1.0.0
+oslo.log>=2.3.0
 oslo.policy>=0.3.0
 oslo.serialization>=1.4.0
 oslo.utils>=3.3.0

=== debian/changelog ===
gnocchi (3.0.4-3) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858697).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:35:30 +0200

gnocchi (3.0.4-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependency net-tools (Closes: #858697)

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 12:06:03 +0100

gnocchi (3.0.4-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends

  [ Ondřej Kobližek ]
  * New upstream release (Closes: #852991)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 02 Feb 2017 14:44:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: gnocchi
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 54~),
                python-all,
                python-pbr,
                python-setuptools,
@@ -61,7 +60,6 @@
                      python-sysv-ipc,
                      python-testscenarios,
                      python-testtools (>= 0.9.38),
-                     python-testresources,
                      python-tooz (>= 1.38),
                      python-trollius,
                      python-voluptuous,
@@ -150,6 +148,7 @@
 Depends: adduser,
          gnocchi-common (= ${binary:Version}),
          python-openstackclient,
+         lsb-base,
          q-text-as-data,
          ${misc:Depends},
          ${python:Depends},
@@ -163,6 +162,7 @@
 Package: gnocchi-metricd
 Architecture: all
 Depends: gnocchi-common (= ${binary:Version}),
+         lsb-base,
          ${misc:Depends},
          ${python:Depends},
 Description: Metric as a Service - metric daemon

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
-#PYTHON3S:=$(shell py3versions -vr)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export OSLO_PACKAGE_VERSION=$(VERSION)
 UNIT_TEST_BLACKLIST = test_carbonara.CarbonaraCmd.*
 
 %:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/gnocchi/tags .*/(\d[\d\.]+)\.tar\.gz

## gnocchi 3.1.1

=== debian/changelog ===
gnocchi (3.1.1-0ubuntu1) zesty; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 08:00:25 -0500

gnocchi (3.1.0-0ubuntu1) zesty; urgency=medium

  * debian/watch: Point to tarballs.openstack.org 
  * Add logrotate configuration. (LP: #1657795)
  * New upstream release. 
  * d/rules: Tidy
  * d/rules: Remove unit tests replaced with dep8 tests.
  * d/python-gnochhi.install: Install python files
  * d/python-statsd.install: Install the statsd daemon. (LP: #1604850)
  * d/gnocchi-common.install: Install the gnocchi-upgrade. (LP: #1624282)
  * d/control: Adjust dependencies.
  * d/tests: Add dep8 tests.
  * d/rules: Use gnocchi-config-generator.
 
 -- Chuck Short <zulcss@ubuntu.com>  Sun, 12 Feb 2017 10:06:22 -0500

gnocchi (3.0.4-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream version.
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 Jan 2017 09:11:54 -0500

## gnocchi 3.1.2

=== debian/changelog ===
gnocchi (3.1.2-0ubuntu1) zesty; urgency=medium

  * New upstream point release for Openstack Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Mar 2017 12:15:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: gnocchi
 Section: net
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 54~),
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr,
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.7.6),
-                     libpq-dev,
-                     postgresql,
-                     postgresql-server-dev-all,
                      python-concurrent.futures (>= 2.1.6),
                      python-cotyledon (>= 1.2.2),
                      python-coverage (>= 3.6),
@@ -40,7 +38,7 @@
                      python-oslo.utils (>= 3.3.0),
                      python-oslosphinx (>= 2.2.0.0),
                      python-oslotest,
-                     python-pandas (>= 0.17),
+                     python-pandas (>= 0.17.0),
                      python-paste,
                      python-pastedeploy,
                      python-pecan (>= 0.9),
@@ -50,6 +48,8 @@
                      python-pytimeparse (>= 1.1.5),
                      python-requests,
                      python-retrying,
+                     python-scipy,
+                     python-ujson,
                      python-six,
                      python-sphinx-bootstrap-theme,
                      python-sphinxcontrib.httpdomain,
@@ -58,6 +58,7 @@
                      python-stevedore,
                      python-swiftclient (>= 3.1.0),
                      python-sysv-ipc,
+                     python-testresources,
                      python-testscenarios,
                      python-testtools (>= 0.9.38),
                      python-tooz (>= 1.38),
@@ -68,11 +69,12 @@
                      python-werkzeug,
                      python-yaml,
                      subunit (>= 0.0.18),
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-gnocchi
-Vcs-Git: https://git.openstack.org/openstack/deb-gnocchi -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/gnocchi
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/gnocchi
 Homepage: https://github.com/openstack/gnocchi
+XS-Testsuite: autopkgtest
 
 Package: python-gnocchi
 Section: python
@@ -96,10 +98,12 @@
          python-oslo.serialization (>= 1.4.0),
          python-oslo.utils (>= 3.3.0),
          python-oslosphinx (>= 2.2.0.0),
-         python-pandas (>= 0.17),
+         python-pandas (>= 0.17.0),
          python-paste,
          python-pastedeploy,
          python-pbr,
+         python-scipy,
+         python-ujson,
          python-pecan (>= 0.9),
          python-prettytable,
          python-psycopg2,
@@ -119,7 +123,7 @@
          python-werkzeug,
          python-yaml,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Suggests: python-gnocchi-doc,
 Description: Metric as a Service - Python 2.x
  Gnocchi is a service for managing a set of resources and storing metrics about
@@ -135,7 +139,7 @@
          debconf,
          python-gnocchi (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Metric as a Service - common files
  Gnocchi is a service for managing a set of resources and storing metrics about
  them, in a scalable and resilient way. Its functionalities are exposed over an
@@ -148,10 +152,9 @@
 Depends: adduser,
          gnocchi-common (= ${binary:Version}),
          python-openstackclient,
-         lsb-base,
          q-text-as-data,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Metric as a Service - API daemon
  Gnocchi is a service for managing a set of resources and storing metrics about
  them, in a scalable and resilient way. Its functionalities are exposed over an
@@ -162,9 +165,8 @@
 Package: gnocchi-metricd
 Architecture: all
 Depends: gnocchi-common (= ${binary:Version}),
-         lsb-base,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Metric as a Service - metric daemon
  Gnocchi is a service for managing a set of resources and storing metrics about
  them, in a scalable and resilient way. Its functionalities are exposed over an
@@ -172,14 +174,14 @@
  .
  This package contains the metric daemon.
 
-#Package: gnocchi-doc
-#Section: doc
-#Architecture: all
-#Depends: ${misc:Depends},
-#         ${sphinxdoc:Depends},
-#Description: Metric as a Service - doc
-# Gnocchi is a service for managing a set of resources and storing metrics about
-# them, in a scalable and resilient way. Its functionalities are exposed over an
-# HTTP REST API.
-# .
-# This package contains the documentation.
+Package: gnocchi-statsd
+Architecture: all
+Depends: gnocchi-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends}
+Description: Metric as a Service - statsd daemon
+ Gnocchi is a service for managing a set of resources and storing metrics about
+ them, in a scalable and resilient way. Its functionalities are exposed over an
+ HTTP REST API.
+ .
+ This package contains the metric daemon.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

UNIT_TEST_BLACKLIST = test_carbonara.CarbonaraCmd.*

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

override_dh_install:
	dh_install --fail-missing

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done

	mkdir -p $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common
	PYTHONPATH=$(CURDIR)/debian/gnocchi-common/usr/bin/gnocchi-config-generator > \
		$(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf
	sed -i 's|^[ \t#]*url[ \t#]*=.*|url = sqlite:////var/lib/gnocchi/gnocchidb|' $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf
	sed -i 's|^[# \t]*auth_protocol[\t #]*=.*|auth_protocol = http|' $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-gnocchi-doc/usr/share/doc/python-gnocchi-doc/html ; \
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build debian/gnocchi-common.postinst debian/gnocchi-common.config debian/gnocchi-api.config debian/gnocchi-api.postinst

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/tests/control ===
Tests: gnocchi-daemons python-gnocchi
Depends: gnocchi-statsd, gnocchi-metricd, gnocchi-api, gnocchi-common,
 python-gnocchi
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/gnocchi/ gnocchi-(\d.*)\.tar\.gz

## gnocchi 3.1.9

=== requirements.txt ===
pbr
numpy>=1.9.0
iso8601
oslo.config>=2.7.0
oslo.log>=2.3.0
oslo.policy>=0.3.0
oslo.serialization>=1.4.0
oslo.utils>=3.18.0
oslo.middleware>=3.22.0
pandas>=0.18.0
scipy>=0.18.1  # BSD
pecan>=0.9
futures
jsonpatch
cotyledon>=1.5.0
six
stevedore
ujson
voluptuous
werkzeug
trollius; python_version < '3.4'
tenacity>=3.1.0  # Apache-2.0
WebOb>=1.4.1
Paste
PasteDeploy

=== debian/changelog ===
gnocchi (3.1.9-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 31 Jul 2017 14:48:49 +0100

gnocchi (3.1.2-0ubuntu7) artful; urgency=medium

  * d/control: Bump minimum oslo.utils version to 3.18.0 (LP: #1665625).

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 12:22:26 +0100

gnocchi (3.1.2-0ubuntu6) artful; urgency=medium

  * d/t/gnocchi-daemons: Only drop DB if it already exists.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Jun 2017 20:05:51 +0100

gnocchi (3.1.2-0ubuntu5) artful; urgency=medium

  * d/watch: Update to use pypi.debian.net.
  * d/t/gnocchi-daemons: Stop/start daemons around DB initialization,
    working around a race on s390x on restart of gnocchi-statsd.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Jun 2017 18:09:47 +0100

gnocchi (3.1.2-0ubuntu4) artful; urgency=medium

  * d/tests/control: Add test dependency on uuid-runtime to resolve DEP-
    8 test failure on s390x.

 -- James Page <james.page@ubuntu.com>  Fri, 05 May 2017 14:40:24 -0400

gnocchi (3.1.2-0ubuntu3) artful; urgency=medium

  * Switch gnocchi-api to run under Apache2+mod_wsgi.
  * d/tests/*: Refactor to test with a mysql backend as sqlite is not
    actually supported.

 -- James Page <james.page@ubuntu.com>  Fri, 05 May 2017 08:04:19 -0400

gnocchi (3.1.2-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:37:44 +0100
